NOM
SYNOPSIS
DESCRIPTION
OPTIONS
BOGUES
SITE INTERNET
AUTEUR
TRADUCTION

## NOM

rnano - Le mode restreint de NAno un NOuvel éditeur, un clone libre et amélioré de Pico

## SYNOPSIS

rnano [OPTIONS] [[+LIGNE,COLONNE] FICHIER]...

## DESCRIPTION

Cette page de manuel décrit brièvement la commande rnano.

nano est un éditeur petit, sympathique et libre, qui vise à remplacer Pico, l'éditeur par défaut du logiciel non libre Pine. nano ne se contentant pas de copier l'interface et l'ergonomie de Pico, il offre également certaines fonctions manquantes (ou désactivées par défaut) dans Pico. Ces fonctionnalités sont, par exemple, les fonctions de recherche et de remplacement, et la possibilité de sauter directement à une ligne et à une colonne précise..

rnano est une version de nano fonctionnant en mode restreint, qui ne permet d'éditer que les fichiers indiqués et qui n'autorise pas l'utilisateur à accéder au système de fichier ou à un interpréteur de commandes.

En mode restreint, nano refusera :

· |  |  |
|  | de lire ou d'écrire dans un fichier n'ayant pas été indiqué dans la ligne de commande ; |
· |  |  |
|  | de lire un fichier nanorc ; |
· |  |  |
|  | de permettre de suspendre l'édition ; |
· |  |  |
|  | de permettre d'ajouter en début ou en fin d'un fichier, ou de l'enregistrer sous un nom différent ; |
· |  |  |
|  | l'utilisation de copies de sécurité ou de la correction orthographique. |

## OPTIONS

+LIGNE,COLONNE Démarre avec le curseur positionné à la colonne COLONNE de la ligne LIGNE (l'un des
deux, au moins, devant être spécifié) au lieu de démarrer à la colonne 1, ligne 1.

-? Identique à -h (--help).

-h (--help) Affiche un résumé des options de lancement de nano, puis s'arrête.

-V (--version) Affiche la version, puis s'arrête.

Reportez-vous à la page de manuel nano(1) si vous souhaitez consulter la documentation complète de nano.

## BOGUES

Merci de nous faire parvenir vos commentaires et de nous signaler les bogues, en écrivant, en anglais, à nano@nano-editor.org.

La liste de discussion anglophone nano est disponible à l'adresse nano-devel@gnu.org.

Pour vous abonner, envoyez un courrier électronique à nano-devel-request@gnu.org, ayant pour objet « subscribe ».

N'hésitez pas également à envoyez vos commentaires, suggestions et corrections relatives à l'adaptation française de cette page de manuel ou du logiciel à jean-philippe.guerard@tigreraye.org.

## SITE INTERNET

http://www.nano-editor.org/

## AUTEUR

Chris Allegretta <chrisa@asty.org> et d'autres (voir le fichier AUTHORS). Cette page de manuel a été initiale- ment rédigée par Thijs Kinkhorst <thijs@kinkhorst.com>, pour le système GNU Debian (mais elle peut être utilisée par d'autres).

## TRADUCTION

Cette adaptation française a été réalisée par Jean-Philippe Guérard <jean-philippe.guerard@tigreraye.org> le 29 novembre 2007 à partir de la version 1.19 du 6 novembre 2007 de la page de manuel de rnano (pour la version 2.0.0 de nano).

Un maximum de soin a été apporté lors de l'élaboration de cette traduction ; néanmoins, quelques imperfections peuvent subsister. Si vous en rencontrez, que ce soit dans la version française ou dans la version originale, n'hésitez pas à les signaler à l'auteur ou au traducteur.

La version originale la plus à jour de ce document est toujours consultable via la commande :

LANGUAGE=en man nano